For the complete documentation index, see llms.txt. This page is also available as Markdown.

Poster

Poster

List poster templates

get
/tenants/{tenantUid}/poster-templates

List poster templates

Required permissions: POSTER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/poster-templates
GET /v2/tenants/{tenantUid}/poster-templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "posterTemplateUid": "text",
      "name": "text",
      "html": "text",
      "size": "A1",
      "orientation": "Portrait",
      "previewImage": "text",
      "thousandSeparator": "COMMA",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create poster template

post
/tenants/{tenantUid}/poster-templates

Create new poster template

Required permissions: SUPERADMIN

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
htmlstringOptional

template body

sizestring · enumOptionalPossible values:
orientationstring · enumOptionalPossible values:
previewImagestringOptional

base64 encoded image data

posterTemplateUidstringOptionalPattern: ^[A-Za-z0-9-_]*
thousandSeparatorstring · enumOptionalPossible values:
Responses
201

Example response

application/json
posterTemplateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
htmlstringRequired

template body

sizestring · enumRequiredPossible values:
orientationstring · enumRequiredPossible values:
previewImagestringRequired

base64 encoded image data

thousandSeparatorstring · enumRequiredPossible values:
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/poster-templates
POST /v2/tenants/{tenantUid}/poster-templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 143

{
  "name": "text",
  "html": "text",
  "size": "A1",
  "orientation": "Portrait",
  "previewImage": "text",
  "posterTemplateUid": "text",
  "thousandSeparator": "COMMA"
}
201

Example response

{
  "posterTemplateUid": "text",
  "name": "text",
  "html": "text",
  "size": "A1",
  "orientation": "Portrait",
  "previewImage": "text",
  "thousandSeparator": "COMMA",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Get poster template

get
/tenants/{tenantUid}/poster-templates/{posterTemplateUid}

Get poster template

Required permissions: POSTER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
posterTemplateUidstringRequired

Reference to a poster template

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
posterTemplateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
htmlstringRequired

template body

sizestring · enumRequiredPossible values:
orientationstring · enumRequiredPossible values:
previewImagestringRequired

base64 encoded image data

thousandSeparatorstring · enumRequiredPossible values:
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/poster-templates/{posterTemplateUid}
GET /v2/tenants/{tenantUid}/poster-templates/{posterTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "posterTemplateUid": "text",
  "name": "text",
  "html": "text",
  "size": "A1",
  "orientation": "Portrait",
  "previewImage": "text",
  "thousandSeparator": "COMMA",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Update poster template

put
/tenants/{tenantUid}/poster-templates/{posterTemplateUid}

Update poster template

Required permissions: SUPERADMIN

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
posterTemplateUidstringRequired

Reference to a poster template

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
htmlstringOptional

template body

sizestring · enumOptionalPossible values:
orientationstring · enumOptionalPossible values:
previewImagestringOptional

base64 encoded image data

thousandSeparatorstring · enumOptionalPossible values:
Responses
200

Example response

application/json
posterTemplateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
htmlstringRequired

template body

sizestring · enumRequiredPossible values:
orientationstring · enumRequiredPossible values:
previewImagestringRequired

base64 encoded image data

thousandSeparatorstring · enumRequiredPossible values:
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/poster-templates/{posterTemplateUid}
PUT /v2/tenants/{tenantUid}/poster-templates/{posterTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 116

{
  "name": "text",
  "html": "text",
  "size": "A1",
  "orientation": "Portrait",
  "previewImage": "text",
  "thousandSeparator": "COMMA"
}
200

Example response

{
  "posterTemplateUid": "text",
  "name": "text",
  "html": "text",
  "size": "A1",
  "orientation": "Portrait",
  "previewImage": "text",
  "thousandSeparator": "COMMA",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Delete poster template

delete
/tenants/{tenantUid}/poster-templates/{posterTemplateUid}

Delete poster template

Required permissions: SUPERADMIN

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
posterTemplateUidstringRequired

Reference to a poster template

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/poster-templates/{posterTemplateUid}
DELETE /v2/tenants/{tenantUid}/poster-templates/{posterTemplateUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Create poster PDF

post
/tenants/{tenantUid}/poster-templates/{posterTemplateUid}/pdf

Create poster PDF for printing

Required permissions: POSTER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
posterTemplateUidstringRequired

Reference to a poster template

Pattern: ^[A-Za-z0-9-_]+
Body
Responses
201

Created

application/pdf
string · binaryOptional
post/tenants/{tenantUid}/poster-templates/{posterTemplateUid}/pdf
POST /v2/tenants/{tenantUid}/poster-templates/{posterTemplateUid}/pdf HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213

{
  "products": [
    {
      "sku": "text",
      "name": "text",
      "nowPrice": 1,
      "beforePrice": 1,
      "discountPercentage": 1,
      "brandName": "text",
      "description": "text",
      "usps": [
        "text"
      ],
      "imageUrl": "text",
      "barcodeValue": "text",
      "properties": [
        "text"
      ]
    }
  ]
}
201

Created

binary

List poster base templates

get
/tenants/{tenantUid}/poster-base-templates

List poster base templates that can be used for adaption to actual poster templates.

Required permissions: POSTER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/poster-base-templates
GET /v2/tenants/{tenantUid}/poster-base-templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "name": "text",
      "size": "A1",
      "orientation": "Portrait",
      "html": "text"
    }
  ]
}

Last updated